+++
title = "Get Started with Dgraph"
+++

{{% notice "note" %}}You can see an older version of the Getting Started page [here]({{< relref "get-started-old/index.md" >}}).{{% /notice %}}

## Tutorials

**Welcome to Dgraph. Here are a series of tutorials for getting started :**

<section class="toc">
  <div class="container">
    <div class="row row-no-padding">
      <div class="col-12 col-sm-12">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "tutorial-1/index.md">}}">
              1 - Introduction
            </a>
          </div>
          <p class="section-desc">
            Run dgraph and learn about nodes and edges, as well as basic queries and mutations.
          </p>
        </div>
      </div>
      <div class="col-12 col-sm-12">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "tutorial-2/index.md">}}">
              2 - Basic Operations
            </a>
          </div>
          <p class="section-desc">
            Learn about UID operations, updating nodes, and traversals.
          </p>
        </div>
      </div>
      <div class="col-12 col-sm-12">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "tutorial-3/index.md">}}">
              3 - Basic Types and Operations on them
            </a>
          </div>
          <p class="section-desc">
            Learn about data types, indexing, filtering, and reverse traversals.
          </p>
        </div>
      </div>
      <div class="col-12 col-sm-12">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "tutorial-4/index.md">}}">
              4 - Multi-Language Strings
            </a>
          </div>
          <p class="section-desc">
            Learn about multi-language strings and operations on them using the language tags.
          </p>
        </div>
      </div>
      <div class="col-12 col-sm-12">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "tutorial-5/index.md">}}">
              5 - String Indices and Modeling Tweet Graph
            </a>
          </div>
          <p class="section-desc">
            Learn about string indices, modeling tweet graph, and keyword-based searching.
          </p>
        </div>
      </div>
      <div class="col-12 col-sm-12">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "tutorial-6/index.md">}}">
              6 - Advanced Text Search on Social Graphs
            </a>
          </div>
          <p class="section-desc">
            Learn about full-text search and regular expression search.
          </p>
        </div>
      </div>
      <div class="col-12 col-sm-12">
        <div class="section-item">
          <div class="section-name">
            <a href="{{< relref "tutorial-7/index.md">}}">
              7 - Fuzzy Search on Social Graphs
            </a>
          </div>
          <p class="section-desc">
            Learn about searching user names using fuzzy search on social graphs.
          </p>
        </div>
      </div>
    </div>
  </div>
</section>

## Where to go from here

- Go to [Clients]({{< relref "clients/index.md" >}}) to see how to communicate
with Dgraph from your application.
- Take the [Tour](https://tour.dgraph.io) for a guided tour of how to write queries in Dgraph.
- A wider range of queries can also be found in the [Query Language]({{< relref "query-language/index.md" >}}) reference.
- See [Deploy]({{< relref "deploy/index.md" >}}) if you wish to run Dgraph
  in a cluster.

## Need Help

* Please use [discuss.dgraph.io](https://discuss.dgraph.io) for questions, feature requests and discussions.
* Please use [Github Issues](https://github.com/dgraph-io/dgraph/issues) if you encounter bugs or have feature requests.
* You can also join our [Slack channel](http://slack.dgraph.io).
